Subject: Re: [SWIPL] keysort

From: Paul Singleton <[email-masked]>
Date: Wed, 28 Feb 2001 18:46:13 +0000

"Richard A. O'Keefe" wrote:

> Perhaps someone should port Mixtus to SWI.

First, someone should make it portable, and perhaps that oughta be
Dan Sahlin ;-) but I don't think he will :-(

For selfish reasons, re: integrating it with the repository I use,
I'd like the API of any partial evaluator to be as "pure" as possible,
i.e. map some term representation of a program onto a term representation
of an equivalent PE-ed program (plus options, hints etc.)

Whether or not this wish is misconceived, I'm asking for suggestions
for a suitable data structure to represent a Prolog program (I have
other uses for this).

Paul Singleton